# Installation
> `npm install --save @types/jquery-loading-overlay`

# Summary
This package contains type definitions for JQuery Loading Overlay (https://github.com/jgerigmeyer/jquery-loading-overlay).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/jquery-loading-overlay.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/jquery-loading-overlay/index.d.ts)
````ts
// Type definitions for JQuery Loading Overlay 1.0
// Project: https://github.com/jgerigmeyer/jquery-loading-overlay, http://jgerigmeyer.github.io/jquery-loading-overlay
// Definitions by: Anderson Friaça <https://github.com/AndersonFriaca>
// Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped
// TypeScript Version: 2.3

/// <reference types="jquery" />

export type Options = Partial<{
    /**
     * Class added to target while loading
     */
    loadingClass: string;

    /**
     * Class added to overlay (style with CSS)
     */
    overlayClass: string;

    /**
     * Class added to loading overlay spinner
     */
    spinnerClass: string;

    /**
     * Class added to loading overlay spinner
     */
    iconClass: string;

    /**
     * Class added to loading overlay spinner
     */
    textClass: string;

    /**
     * Text within loading overlay
     */
    loadingText: string;
}>;

declare global {
    interface JQuery {
        loadingOverlay(options?: Options): JQuery;
        loadingOverlay(method: "remove", options?: Options): JQuery;
    }
}

````

### Additional Details
 * Last updated: Fri, 15 Sep 2023 20:36:37 GMT
 * Dependencies: [@types/jquery](https://npmjs.com/package/@types/jquery)
 * Global values: none

# Credits
These definitions were written by [Anderson Friaça](https://github.com/AndersonFriaca).
